*,
*::before,
*::after {
  box-sizing: border-box;
}
* {
  margin: 0;
}
html {
  height: 100%;
}
body {
  min-height: 100%;
  -webkit-font-smoothing: antialiased;
  background-color: white;
}
img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}
input,
button,
textarea,
select {
  font: inherit;
}
p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 400;
  font-size: 1rem;
}
:root {
  --text-base: clamp(1.3rem, 1.6vw, 2rem);
  --text-small: clamp(0.8rem, 1.6vw, 1.2rem);
}
@font-face {
  font-family: ABCOracle;
  src: url(ABCOracle-Regular.800a33d7f77a3bd0c37b.woff2) format("woff2"),
    url(ABCOracle-Regular.773a17f3324523d1f7a4.woff) format("woff");
}
::-moz-selection {
  background: #fff;
  color: #fff;
}
::selection {
  background: #fff;
  color: #fff;
}
body {
  font-family: ABCOracle, sans-serif;
  font-size: var(--text-base);
  letter-spacing: 0.02em;
  height: 100%;
  overflow: hidden;
}
main {
  display: grid;
  place-content: center;
  height: 100%;
}
h1 {
  pointer-events: none;
  color: #fff;
  opacity: 0.25;
  position: relative;
  z-index: 1;
  font-family: Arial;
  font-weight: bold;
  font-size: 25vw;
  line-height: 0.9;
  text-transform: uppercase;
  text-align: center;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  padding: clamp(16px, 5%, 120px);
}
h1 span {
  display: block;
  width: 0;
  height: 0;
  overflow: hidden;
}
h1 img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
  object-fit: contain;
}
.text-sm {
  font-size: var(--text-small);
  letter-spacing: 0.1em;
  text-transform: uppercase;
  list-style: 1.2;
}
.video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: thistle;
}
.video video {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
}
@media (orientation: portrait) {
  .video {
    height: 100vw;
    width: 100vh;
    transform: translateX(-100%) rotate(-90deg);
    transform-origin: right top;
  }
}
button {
  background: none;
  border: none;
  color: currentColor;
  padding: 0;
}
a,
button {
  --rounded: 4px;
  color: currentColor;
  text-decoration: none;
}
@media (hover: hover) {
  button:hover,
  a:hover {
    background-color: #fff;
    color: #000;
    position: relative;
  }
  a:hover::before,
  a:hover::after,
  button:hover::before,
  button:hover::after {
    --width: 0.25ch;
    content: "";
    display: block;
    width: var(--width);
    height: 100%;
    position: absolute;
    top: 0;
    background-color: #fff;
  }
  a:hover::before,
  button:hover::before {
    left: calc(var(--width) * -1);
    border-start-start-radius: var(--rounded);
    border-end-start-radius: var(--rounded);
  }
  a:hover::after,
  button:hover::after {
    right: calc(var(--width) * -1);
    border-start-end-radius: var(--rounded);
    border-end-end-radius: var(--rounded);
  }
}
.content-section {
  position: absolute;
  z-index: 2;
  left: 0;
  top: 0;
  font-size: clamp(18px, 2vw, 24px);
  padding: 1em;
  line-height: 1.24;
  font-weight: 400;
  mix-blend-mode: difference;
  color: #fff;
  text-transform: uppercase;
  letter-spacing: 0.025em;
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
  width: 100%;
  height: 100%;
  display: grid;
  place-content: center;
  text-align: center;
  scrollbar-width: none;
}
.content-section::-webkit-scrollbar {
  display: none;
}
.content-section p + p {
  margin-top: 1em;
}
.content-section > div + div {
  margin-top: 3rem;
}
.content-section ul {
  list-style-type: none;
  padding: 0;
}

.content-section li {
  margin: 1rem;
}
.content-section.-hidden {
  opacity: 0;
  pointer-events: none;
  display: none;
}
.navigation {
  padding: 1rem;
  display: flex;
  width: 100%;
  justify-content: center;
  color: #fff;
  mix-blend-mode: difference;
  position: absolute;
  bottom: 0;
  left: 0;

  z-index: 9999;
  justify-content: space-between;
}

.navigation button {
  text-transform: capitalize;
}

.blur-background {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  -webkit-backdrop-filter: blur(15px);
  backdrop-filter: blur(15px);
  transition: opacity 0.25s ease-out;
  pointer-events: none;
}

.blur-background.-hidden {
  opacity: 0;
}

@media screen and (max-width: 820px) {
  .blur-background {
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
  }
}
